Cursor Cloud agent webhook handler
POST
/webhooks/cursor-agent
const url = 'https://example.com/api/webhooks/cursor-agent';const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/webhooks/cursor-agent \ --header 'Content-Type: application/json' \ --data '{}'Handles v0 statusChange events (FINISHED/ERROR). HMAC verified via X-Webhook-Signature.
Request Body required
Section titled “Request Body required ” Media type application/json
object
Responses
Section titled “ Responses ”Success
Media type application/json
object
ok
required
boolean
Invalid webhook signature
Webhook secret not configured